# Generated from outbacker-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name outbacker

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Drive complexity out of your Rails controllers once and for all, while keeping your models fit and trim
License: MIT
URL: https://github.com/polypressure/outbacker
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.5
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(m) >= 1.3
# BuildRequires: rubygem(m) < 2
# BuildRequires: rubygem(m) >= 1.3.1
# BuildRequires: rubygem(simplecov) >= 0.10
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) >= 0.10.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4.7
BuildArch: noarch

%description
A micro library to keep conditional logic out of your Rails
controllers and help you write more intention-revealing
code with both skinny controllers and skinny models.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/outbacker.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.2-1
- Initial package
